Skip to main content
POST
Deliver a webhook event to an endpoint again

Authorizations

Authorization
string
header
required

Use Authorization: Bearer end_sk_* for partner API keys (e.g. end_sk_AbCd_example_api_key).

Headers

Idempotency-Key
string

Unique key that makes this request safe to retry. Replaying the key with the same body returns the original response with Idempotent-Replayed: true; replaying it with a different body returns 409 idempotency.key_conflict.

Required string length: 1 - 255
Example:

"a1b2c3d4-0000-4000-8000-000000000000"

Path Parameters

event_id
string<uuid>
required
Example:

"3f1c9a2b-7d4e-4f10-9a8b-2c6d5e4f3a21"

Body

application/json
endpoint_id
string<uuid>
required

The endpoint to deliver to again.

Example:

"8e1a7f50-90ab-4cde-8012-3456789abcde"

Response

The new delivery attempt.

attempt
integer
required
Example:

1

status
enum<string>
required
Available options:
pending,
succeeded,
failed
response_status_code
integer | null
required
Example:

200

duration_ms
integer | null
required
Example:

143

error
string | null
required
next_attempt_at
string<date-time> | null
required
created_at
string<date-time>
required
endpoint
object
required